get subscription
curl --request POST \
--url https://api.unprice.dev/v1/subscriptions/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "cus_1H7KQFLr7RepUyQBKdnvY",
"projectId": "prj_1H7KQFLr7RepUyQBKdnvY"
}
'import requests
url = "https://api.unprice.dev/v1/subscriptions/get"
payload = {
"customerId": "cus_1H7KQFLr7RepUyQBKdnvY",
"projectId": "prj_1H7KQFLr7RepUyQBKdnvY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'cus_1H7KQFLr7RepUyQBKdnvY',
projectId: 'prj_1H7KQFLr7RepUyQBKdnvY'
})
};
fetch('https://api.unprice.dev/v1/subscriptions/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"customerId": "<string>",
"active": true,
"planSlug": "<string>",
"currentCycleStartAt": 123,
"currentCycleEndAt": 123,
"renewAt": 123,
"endAt": 123,
"timezone": "<string>",
"metadata": {
"note": "<string>",
"dates": {
"lastChangeAt": 123,
"cancelAt": 123
}
},
"project": {
"enabled": true
},
"customer": {
"active": true
},
"activePhase": {
"id": "<string>",
"projectId": "<string>",
"subscriptionId": "<string>",
"planVersionId": "<string>",
"paymentMethodId": "<string>",
"creditLineAmount": 1,
"billingAnchor": 123,
"trialEndsAt": 123,
"startAt": 123,
"endAt": 123,
"planVersion": {
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"planId": "<string>",
"description": "<string>",
"latest": true,
"title": "<string>",
"tags": [
"<string>"
],
"active": true,
"publishedAt": 123,
"publishedBy": "<string>",
"archived": true,
"archivedAt": 123,
"archivedBy": "<string>",
"billingConfig": {
"name": "<string>",
"billingIntervalCount": 30,
"billingAnchor": 16
},
"gracePeriod": 123,
"trialUnits": 123,
"autoRenew": true,
"metadata": {
"externalId": "<string>"
},
"paymentMethodRequired": true,
"version": 123
},
"createdAtM": 123,
"updatedAtM": 123,
"creditLinePolicy": "uncapped",
"trialUnits": 0,
"metadata": {
"note": "<string>"
},
"items": [
{
"id": "<string>",
"projectId": "<string>",
"createdAtM": 123,
"updatedAtM": 123,
"units": 123,
"featurePlanVersionId": "<string>",
"subscriptionPhaseId": "<string>",
"subscriptionId": "<string>"
}
]
}
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}subscriptions
get subscription
Get subscription with the active phase for a customer
POST
/
v1
/
subscriptions
/
get
get subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body of the request
Response
The result of the get subscription
Maximum string length:
36Maximum string length:
36Maximum string length:
36Available options:
active, trialing, pending_payment, pending_activation, canceled, expired, past_due Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I